[MAIN]
init-hook=
    import os, sys
    sys.path.extend(
        [
            os.path.abspath(
                os.path.join(
                    os.path.dirname(".pylintrc"), "integration/studio/autocomplete_api"
                )
            ),
            os.path.abspath(
                os.path.join(
                    os.path.dirname(".pylintrc"),
                    "integration/studio/document_status_tracking",
                )
            ),
            os.path.abspath(
                os.path.join(
                    os.path.dirname(".pylintrc"),
                    "integration/studio/documents",
                )
            ),
        ]
    )
ignore-paths=tests,i.*/alembic/versions/.*,deployment/remote_automl_classifier,integration/studio/autocomplete_api,integration/studio/status_permissions,integration/studio/email_config,scheduled_jobs/authorisation,scheduled_jobs/redis_snapshot,src,enrich/set_initial_status,enrich/force_ocr,enrich/tag_email_metadata,deployment/redis_sentinel,enrich/retry_storing_into_wfi,enrich/check_item,enrich/refine_activity_item,enrich/fetch_wfi_metadata,enrich/time_item,deployment/vault,scripts/update-status-report-idx
ignore-patterns=.*test.*

[FORMAT]
max-line-length=88

[TYPECHECK]
disable=C0114,C0116,C0411,F0010,W0718,W0621,line-too-long,W0223,import-error,no-name-in-module,too-many-locals,
ignored-modules=__init__,squirro.integration,squirro.lib
